package domain


type AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO struct {
    /*
        退货原因     */
    RefundReason  *string `json:"refund_reason,omitempty" `

    /*
        退款完成时间     */
    RefundSuccessTime  *string `json:"refund_success_time,omitempty" `

    /*
        收货地址     */
    DeliveryAddress  *string `json:"delivery_address,omitempty" `

    /*
        发货地址     */
    SendAddress  *string `json:"send_address,omitempty" `

    /*
        退货金额     */
    RefundAmount  *string `json:"refund_amount,omitempty" `

    /*
        商品类目名称(从root到叶子节点)     */
    ItemCategory  *string `json:"item_category,omitempty" `

    /*
        货物单价     */
    ItemPrice  *string `json:"item_price,omitempty" `

    /*
        货物数量(下单销售数量)     */
    ItemQuantity  *string `json:"item_quantity,omitempty" `

    /*
        货物名称     */
    ItemName  *string `json:"item_name,omitempty" `

    /*
        退货单ID     */
    RefundId  *string `json:"refund_id,omitempty" `

    /*
        交易子订单ID     */
    TbSubOrderId  *int64 `json:"tb_sub_order_id,omitempty" `

    /*
        退款发起时间     */
    RefundCreateTime  *string `json:"refund_create_time,omitempty" `

    /*
        签收时间     */
    SignTime  *string `json:"sign_time,omitempty" `

    /*
        售后退=2，售中退=1     */
    ReverseType  *string `json:"reverse_type,omitempty" `

}

func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetRefundReason(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.RefundReason = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetRefundSuccessTime(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.RefundSuccessTime = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetDeliveryAddress(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.DeliveryAddress = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetSendAddress(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.SendAddress = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetRefundAmount(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.RefundAmount = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetItemCategory(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.ItemCategory = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetItemPrice(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.ItemPrice = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetItemQuantity(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.ItemQuantity = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetItemName(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.ItemName = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetRefundId(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.RefundId = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetTbSubOrderId(v int64) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.TbSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetRefundCreateTime(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.RefundCreateTime = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetSignTime(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.SignTime = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) SetReverseType(v string) *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO {
    s.ReverseType = &v
    return s
}
